pidgin: gtkplugin.h File Reference

pidgin 2.14.4

Loading...
Searching...
No Matches
Data Structures | Macros | Typedefs | Functions
gtkplugin.h File Reference
Pidgin (GTK+ User Interface)

GTK+ Plugin API. More...

`#include "pidgin.h"`
`#include "plugin.h"`

Go to the source code of this file.

## Data Structures
struct | _PidginPluginUiInfo
| A GTK+ UI structure for plugins. More...

## Macros
#define | PIDGIN_PLUGIN_TYPE PIDGIN_UI
#define | PIDGIN_IS_PIDGIN_PLUGIN(plugin)
#define | PIDGIN_PLUGIN_UI_INFO(plugin) ((PidginPluginUiInfo *)(plugin)->info->ui_info)

## Typedefs
typedef struct _PidginPluginUiInfo | PidginPluginUiInfo

## Functions
GtkWidget * | pidgin_plugin_get_config_frame (PurplePlugin *plugin)
| Returns the configuration frame widget for a GTK+ plugin, if one exists.
void | pidgin_plugins_save (void)
| Saves all loaded plugins.
void | pidgin_plugin_dialog_show (void)
| Shows the Plugins dialog.

## Detailed Description

GTK+ Plugin API.

Definition in file gtkplugin.h.

## Macro Definition Documentation

## ◆ PIDGIN_IS_PIDGIN_PLUGIN

#define PIDGIN_IS_PIDGIN_PLUGIN | ( |  | plugin | ) |

Value:
((plugin)->info != NULL && (plugin)->info->ui_info != NULL && \
purple_strequal((plugin)->info->ui_requirement, PIDGIN_PLUGIN_TYPE))

Definition at line 52 of file gtkplugin.h.

## ◆ PIDGIN_PLUGIN_TYPE

#define PIDGIN_PLUGIN_TYPE PIDGIN_UI

Definition at line 50 of file gtkplugin.h.

## ◆ PIDGIN_PLUGIN_UI_INFO

#define PIDGIN_PLUGIN_UI_INFO | ( |  | plugin | ) | ((PidginPluginUiInfo *)(plugin)->info->ui_info)

Definition at line 56 of file gtkplugin.h.

## Typedef Documentation

## ◆ PidginPluginUiInfo

typedef struct _PidginPluginUiInfo PidginPluginUiInfo

Definition at line 32 of file gtkplugin.h.

## Function Documentation

## ◆ pidgin_plugin_get_config_frame()

GtkWidget * pidgin_plugin_get_config_frame | ( | PurplePlugin * | plugin | ) |

Returns the configuration frame widget for a GTK+ plugin, if one exists.

Parameters

  plugin | The plugin.

Returns
  The frame, if the plugin is a GTK+ plugin and provides a configuration frame.